WordPress.org

Ready to get started?Download WordPress

Forums

Responsive WordPress Slider - Soliloquy Lite
[resolved] W3C Validation Error (2 posts)

  1. Tukkan
    Member
    Posted 1 year ago #

    I got W3C error because of that gallery script:
    document type does not allow element "link" here

    It is because the script gives "link" element with wp_footer which is right behind </body> closing element and it should be included with wp_header.

    Link element:
    <link rel='stylesheet' id='soliloquy-style-css' href='http://mywebsitelinkhere.com/wp-content/plugins/soliloquy-lite/css/soliloquy.css?ver=3.5' type='text/css' media='all' />

    Cheers

    http://wordpress.org/extend/plugins/soliloquy-lite/

  2. Thomas Griffin
    Member
    Plugin Author

    Posted 1 year ago #

    Soliloquy does this on purpose so that the stylesheet is only loaded on pages where a slider is present. It works in all major browsers (even IE6), and I choose this performance consideration over validating. If you want to validate, you can dequeue the style and then target the page specifically and enqueue it on wp_enqueue_scripts for that particular page. Here is a post on how to dequeue Soliloquy styles: http://wpsmith.net/2012/plugins/dequeue-soliloquy-style/

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic